@use '@angular/material' as mat;

@include mat.core();

// Import the custom palettes
@import './palettes/mdoa-darkblue-palette.scss';
@import './palettes/mdoa-grey-palette.scss';
@import './palettes/mdoa-green-palette.scss';
@import './palettes/mdoa-red-palette.scss';

// Define the palettes
$mdoa-primary: mat.m2-define-palette($md-mdoa-darkblue);
$mdoa-accent: mat.m2-define-palette($md-mdoagreen, 500, 200, 900);
$mdoa-warn: mat.m2-define-palette($md-mdoared);

// Define the theme
$mdoa-theme: mat.m2-define-light-theme(
  (
    color: (
      primary: $mdoa-primary,
      accent: $mdoa-accent,
      warn: $mdoa-warn,
    ),
  )
);

// style settings for the complete app
html,
body {
  margin: 0;
  height: 100%;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}
